services:
  nginx:
    image: nginx:alpine  # Use the official Nginx image
    container_name: frontendapp
    ports:
      - "80:80"  # Map port 8080 on host to port 80 in container
    volumes:
      - . nginx.conf:/etc/nginx/sites-enabled/default.conf  # Mount the custom Nginx config file
      - ./html:/usr/share/nginx/html  # Mount the directory with static HTML content
    restart: unless-stopped
